AVS2PS(1)

NAME

avs2ps - convert AVS image input on stdin to monochrome PostScript on stdout

SYNOPSIS

   avs2ps [-b] [-dpi xxx] < infile.avs > outfile.ps

avs2ps converts a 24-bit color image file in AVS format into a dithered monochrome PostScript image with the same number of pixels as the input file. avs2ps may be used as a filter for the output of the render program to produce a PostScript file directly.

avs2ps is machine independent, and does not impose restrictions on the tile size in the original image. It supersedes the programs molras3d and hdither in the viewtools package.

EXAMPLES

Produce an unbordered black & white image suitable for printing on a 300 dpi PostScript printer.

     render < infile.r3d | avs2ps > image.ps

Add a border, and prepare image for a 400dpi printer

     render < infile.r3d | avs2ps -b -dpi 400 > image.ps

OPTIONS

-b

Draw a border around the figure. By default avs2ps will produce a borderless image 0.5 inch in from the bottom left of the page.

-dpi xxx

By default avs2ps writes header records into the PostScript output file which are correct for a 300dpi printer (e.g. an HP IIIsi). If there is a mis-match between the header records and the actual resolution of the printer the image quality is substantially degraded. This option allows one to specify a different printer resolution (e.g. -dpi 400 for a Next printer, or -dpi 95 for GhostScript on a 1280x1024 workstation screen).

DESCRIPTION

avs2ps converts the input stream to a grey scale image and then applies an empirical algorithm for dithering and error propagation to produce a monochrome output image.

SOURCE
anonymous ftp site:
     ftp.bmsc.washington.edu

web URL:
     http://www.bmsc.washington.edu/raster3d/raster3d.html

contact:
     Ethan A Merritt
     University of Washington, Seattle WA 98195
     merritt@u.washington.edu

SEE ALSO
render(l), raster3d(l), avs

AUTHORS

Ethan A Merritt.
 Dithering algorithm derived from code by Randy Read and Albert Berghuis.